org.apache.lucene.queries.function.docvalues

## Class LongDocValues

- java.lang.Object
- - org.apache.lucene.queries.function.FunctionValues
  - - org.apache.lucene.queries.function.docvalues.LongDocValues

    public abstract class LongDocValues
    extends FunctionValues

Abstract `FunctionValues` implementation which supports retrieving long values. Implementations can control how the long values are loaded through `longVal(int)`}

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues

`FunctionValues.ValueFiller`

### Field Summary

Fields
`protected ValueSource` `vs`

### Constructor Summary

Constructors
Constructor and Description
`LongDocValues(ValueSource vs)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `boolVal(int doc)`
`byte` `byteVal(int doc)`
`double` `doubleVal(int doc)`
`protected long` `externalToLong(String extVal)`
`float` `floatVal(int doc)`
`ValueSourceScorer` `getRangeScorer(Weight weight, LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)` Yields a `Scorer` that matches documents with values between the specified range, and that which produces scores equal to `FunctionValues.floatVal(int)`.
`FunctionValues.ValueFiller` `getValueFiller()`
`int` `intVal(int doc)`
`abstract long` `longVal(int doc)`
`Object` `objectVal(int doc)` Native Java Object representation of the value
`short` `shortVal(int doc)`
`String` `strVal(int doc)`
`String` `toString(int doc)`

### Methods inherited from class org.apache.lucene.queries.function.FunctionValues

`bytesVal, byteVal, doubleVal, exists, explain, floatVal, getScorer, intVal, longVal, numOrd, ordVal, shortVal, strVal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### vs

    protected final ValueSource vs

### Constructor Detail

#### LongDocValues

    public LongDocValues(ValueSource vs)

### Method Detail

#### byteVal

    public byte byteVal(int doc)
                 throws IOException

Overrides:
  `byteVal` in class `FunctionValues`
Throws:
  `IOException`

#### shortVal

    public short shortVal(int doc)
                   throws IOException

Overrides:
  `shortVal` in class `FunctionValues`
Throws:
  `IOException`

#### floatVal

    public float floatVal(int doc)
                   throws IOException

Overrides:
  `floatVal` in class `FunctionValues`
Throws:
  `IOException`

#### intVal

    public int intVal(int doc)
               throws IOException

Overrides:
  `intVal` in class `FunctionValues`
Throws:
  `IOException`

#### longVal

    public abstract long longVal(int doc)
                          throws IOException

Overrides:
  `longVal` in class `FunctionValues`
Throws:
  `IOException`

#### doubleVal

    public double doubleVal(int doc)
                     throws IOException

Overrides:
  `doubleVal` in class `FunctionValues`
Throws:
  `IOException`

#### boolVal

    public boolean boolVal(int doc)
                    throws IOException

Overrides:
  `boolVal` in class `FunctionValues`
Throws:
  `IOException`

#### strVal

    public String strVal(int doc)
                  throws IOException

Overrides:
  `strVal` in class `FunctionValues`
Throws:
  `IOException`

#### objectVal

    public Object objectVal(int doc)
                     throws IOException

Description copied from class: `FunctionValues`
Native Java Object representation of the value

Overrides:
  `objectVal` in class `FunctionValues`
Throws:
  `IOException`

#### toString

    public String toString(int doc)
                    throws IOException

Specified by:
  `toString` in class `FunctionValues`
Throws:
  `IOException`

#### externalToLong

    protected long externalToLong(String extVal)

#### getRangeScorer

    public ValueSourceScorer getRangeScorer(Weight weight,
                                            LeafReaderContext readerContext,
                                            String lowerVal,
                                            String upperVal,
                                            boolean includeLower,
                                            boolean includeUpper)

Description copied from class: `FunctionValues`
Yields a `Scorer` that matches documents with values between the specified range, and that which produces scores equal to `FunctionValues.floatVal(int)`.

Overrides:
  `getRangeScorer` in class `FunctionValues`

#### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()

Overrides:
  `getValueFiller` in class `FunctionValues`